/*
 * InputBox.cs
 * Copyright (c) 2007, 2008 kbinani
 *
 * This file is part of LipSync.
 *
 * LipSync is free software; you can redistribute it and/or
 * modify it under the terms of the BSD License.
 *
 * LipSync is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Plugin {
    public partial class InputBox : Form {

        public string rText{
            get{
                return input.Text;
            }
            set {
                input.Text = value;
            }
        }

        public InputBox( string title, string message ) {
            InitializeComponent();
            this.message.Text = message;
            this.Text = title;
        }

        private void btnOK_Click( object sender, EventArgs e ) {
            this.DialogResult = DialogResult.OK;
            this.Close();
        }
    }
}